const { Tray, dialog, Menu, app } = require("electron");

let appTray = null;
const template = [
  {
    label: '关于electronapp',
    click() {
      dialog.showMessageBox({
        message: '这是一个Electron应用！',
        type: 'info',
        title: 'electron应用'
      });
    }
  },
  {
    type: 'separator'
  },
  {
    label: '退出',
    click() {
      app.quit();
    }
  }
];

const contextMenu = Menu.buildFromTemplate(template);
const tray = (icon) => {
  appTray = new Tray(icon);
  appTray.setToolTip('这是一个electron应用！');
  appTray.setContextMenu(contextMenu);
}

module.exports = tray;